# Calendar (Tentative)

 Date | Topic | Presenter 
:----:|-------|:---------:
9/5   | Course welcome <br> **Paper:** Keshav. [*How to Read a Paper*](https://web.stanford.edu/class/ee384m/Handouts/HowtoReadPaper.pdf). | JH
      | <center> **Differential Privacy** </center> |
9/10  | Definition and Basic Mechanisms | JH
9/12  | What does Differential Privacy mean? | JH
9/17  | Composition and closure properties <br> **Due: Project topics and groups** | JH
9/19  | Exponential mechanism <br> **Paper:** McSherry and Talwar. [*Mechanism Design via Differential Privacy*](http://kunaltalwar.org/papers/expmech.pdf). | JH
9/24  | Streaming privacy: counters <br> **Paper:** Chan, Shi, and Song. [*Private and Continual Release of Statistics*](https://eprint.iacr.org/2010/076.pdf).  |
9/26  | Advanced mechanisms: Report-noisy-max | JH
10/1  | Advanced mechanisms: Sparse Vector | JH
10/3  | Advanced mechanisms: Private multiplicative weights <br> **Paper:** Hardt, Ligett, and McSherry. [*A Simple and Practical Algorithm for Differentially Private Data Release*](https://papers.nips.cc/paper/4548-a-simple-and-practical-algorithm-for-differentially-private-data-release.pdf). |
10/8  | Local differential privacy (theory) | JH    
10/10 | Local differential privacy (practice) <br> **Paper:** Erlingsson, Pihur, and Korolova. [*RAPPOR: Randomized Aggregatable Privacy-Preserving Ordinal Response*](https://arxiv.org/pdf/1407.6981.pdf). <br> **Due: Milestone 1** |
      | <center> **Cryptographic Techniques** </center> |
10/15 | Crypto: overview and basics | JH
10/17 | Zero-knowledge proofs <br> **Paper:** | 
10/22 | Oblivious transfer and SMC <br> **Paper:** |
10/24 | Oblivious transfer and SMC <br> **Paper:** |
10/29 | Fully homomorphic encryption and verifiable computing <br> **Paper:** |
10/31 | Fully homomorphic encryption and verifiable computing <br> **Paper:** |
      | <center> **Language-Based Security** </center> |
11/5  | LangSec: overview and basics | JH
11/7  | Secure Information Flow <br> **Paper:** |
11/12 | Secure Information Flow <br> **Paper:** |
11/14 | Languages for privacy <br> **Paper:** <br> **Due: Milestone 2** | 
11/19 | Languages for privacy <br> **Paper:** |
11/21 | Symbolic cryptography <br> **Paper:** |
      | <center> **Adversarial Machine Learning** </center> |
11/26 | AML: overview and basics | JH
11/28 | Adversarial examples <br> **Paper:** |
12/3  | Adversarial examples <br> **Paper:** |
12/5  | Training-time attacks <br> **Paper:** |
12/10 | Training-time attacks <br> **Paper:** |
12/12 | Model-theft attacks <br> **Paper:** |
